package be.iminds.ilabt.jfed.restapi.json.util;


import be.iminds.ilabt.jfed.restapi.json.Experiment;
import be.iminds.ilabt.jfed.restapi.json.ExperimentBuilder;
import be.iminds.ilabt.util.jsonld.JsonLdObjectLinkDeserializer;
import be.iminds.ilabt.util.jsonld.JsonLdObjectsMetaData;

/**
 * ExperimentDeserializer
 */
public class ExperimentDeserializer extends JsonLdObjectLinkDeserializer.LinkDeserializer<Long, Experiment, ExperimentBuilder> {
    private static JsonLdObjectsMetaData instance = null;
    private static JsonLdObjectsMetaData getJsonLdObjectsMetaData() {
        if (instance == null) {
            instance = JsonLdObjectsMetaData.getInstance(Experiment.class.getPackage().getName());
        }
        return instance;
    }

    public ExperimentDeserializer() {
        super(getJsonLdObjectsMetaData(),
                Long.class, Experiment.class, ExperimentBuilder.class,
                "experiment", "Experiment");
    }
}
